# main.cpp File Reference

Template Header. More...

`#include <string.h>`
`#include <synfig/module.h>`
`#include "lyr_freetype.h"`
`#include <iostream>`
`#include <ETL/stringf>`
`#include <ft2build.h>`

## Defines

#define | SYNFIG_MODULE

## Functions

bool | freetype_constructor (synfig::ProgressCallback *cb)
void | freetype_destructor ()

## Variables

FT_Library | ft_library

## Detailed Description

Template Header.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_MODULE

## Function Documentation

bool freetype_constructor | ( | synfig::ProgressCallback * | cb | ) |

References synfig::ProgressCallback::error(), synfig::error(), ft_library, and synfig::ProgressCallback::task().

void freetype_destructor | ( |  | ) |

## Variable Documentation

FT_Library ft_library

Referenced by freetype_constructor().